Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82435 - Python 2.2.2 errata breaks redhat-config-users
Summary: Python 2.2.2 errata breaks redhat-config-users
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: python2
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mihai Ibanescu
QA Contact:
URL:
Whiteboard:
: 82516 82767 82807 83382 (view as bug list)
Depends On:
Blocks: 82516
TreeView+ depends on / blocked
 
Reported: 2003-01-22 04:25 UTC by Chip Turner
Modified: 2007-04-18 16:50 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-11 18:56:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2002:202 normal SHIPPED_LIVE : Updated python packages fix predictable temporary file 2002-09-12 04:00:00 UTC

Description Chip Turner 2003-01-22 04:25:09 UTC
[root@threads root]# XAUTHORITY=/home/cturner/.Xauthority redhat-config-users
Traceback (most recent call last):
  File "/usr/share/redhat-config-users/redhat-config-users.py", line 25, in ?
    import libuser
ImportError: /usr/lib/python2.2/site-packages/libusermodule.so: undefined
symbol: PyUnicodeUCS4_AsUTF8String

looks like no other modules reference this symbol, just the shared lib for r-c-u.

Comment 1 Mihai Ibanescu 2003-01-22 15:58:34 UTC
looks like libuser pygtk2 are all affected.
Rebuilding them to see if it helps.

Comment 2 Mihai Ibanescu 2003-01-22 16:27:26 UTC
Confirmed that rebuilding libuser and pygtk2 solves the problem.
libxml2 is clean.

We'll probably have to find other packages that installed stuff under
/usr/lib/python2.2/site-packages/ and see if anything else is broken.

Comment 3 Chip Turner 2003-01-22 16:56:45 UTC
nm will tell you if any other files have the symbol:

find /usr/lib/python2.2/ -name '*.so' | xargs nm | grep PyUnicodeUCS4_AsUTF8String

nothing else shows these on my 7.3 box; I think this may be the only one

Comment 4 Mihai Ibanescu 2003-01-22 17:53:31 UTC
Right, but PyUnicodeUCS4_SetDefaultEncoding is another symbol that went away.
This showed up with pygtk2

Comment 5 Brent Fox 2003-01-23 17:34:16 UTC
*** Bug 82516 has been marked as a duplicate of this bug. ***

Comment 6 Brent Fox 2003-01-27 19:31:18 UTC
*** Bug 82767 has been marked as a duplicate of this bug. ***

Comment 7 Mihai Ibanescu 2003-01-27 19:43:41 UTC
*** Bug 82807 has been marked as a duplicate of this bug. ***

Comment 8 Mihai Ibanescu 2003-01-28 00:28:59 UTC
Working on a fix.

Comment 9 Brent Fox 2003-02-06 05:53:06 UTC
*** Bug 83382 has been marked as a duplicate of this bug. ***

Comment 10 Brett Gordon 2003-02-06 14:08:19 UTC
brgordon@andrew.cmu.edu

Comment 11 Jay Turner 2003-02-11 18:56:54 UTC
Fix confirmed with python2-2.2.2-11.7.3 which should be going out as errata shortly.


Note You need to log in before you can comment on or make changes to this bug.